Auto Mitigation
Auto Mitigation
Overview
Clean Pipe Auto Mitigation API
Version information
Version : 1.0.0.BETA
License information
Terms of service : https://www.nexusguard.com/
URI scheme
Host : {your_basic_domain}
BasePath : /api
Schemes : HTTPS
Paths
Edit Allow/Blocklist content for site.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/allow-block-list
Description
Add or update source IPs and/or source countries for the site’s Allow/Blocklist content.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | cp_auto_mitigation_allow-block-list_service optional |
Allow list or block list configuration (list type and enabled state). | cp_auto_mitigation_allow-block-list_service |
cp_auto_mitigation_allow-block-list_service
| Name | Description | Schema |
|---|---|---|
| ip_set_id optional |
ip set id for allow_list or block_list.Can be obtained by invoking this API for ip set ids. | string |
| source_countries optional |
country code list for allow_list or block_list content, such as ‘Asia/Pacific Region’.Can be obtained by invoking this API for countries. | < string > array |
| source_ips optional |
ip list for allow_list or block_list content. | < string > array |
| type required |
allow list/block list type. in (allow_list, block_list). | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get Allow/Blocklist content for site.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/allow-block-list
Description
Returns the current Allow/Blocklist configuration for the site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Query | type required |
Policy type: allow_list or block_list. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| ip_set optional |
ip_set | |
| is_enabled optional |
Status of the allow block list. ‘0’ means off, ‘1’ means on. | integer |
| source_countries optional |
The source countries of traffic. | < string > array |
| source_ips optional |
Source IP. | < string > array |
| Name | Description | Schema |
|---|---|---|
| ip_set_desc optional |
More details about the purpose of the policy. | string |
| ip_set_id optional |
Unique identifier of ip set. | string |
| ip_set_name optional |
The name of the policy. | string |
| source_countries optional |
< string > array | |
| source_ips optional |
< string > array |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change Allow/Blocklist auto-mitigation policy status for site.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/allow-block-list/switch
Description
Update Allow/Blocklist auto-mitigation policy status for site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | cp_auto_mitigation_allow-block-list_service optional |
Allow list or block list configuration (list type and enabled state). | cp_auto_mitigation_allow-block-list_service |
cp_auto_mitigation_allow-block-list_service
| Name | Description | Schema |
|---|---|---|
| is_enabled required |
0 = disabled; 1 = enabled; 2 = enabled with an IP set template. |
integer |
| type required |
Policy type. One of: allow_list, block_list. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit auto-mitigation profile name.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}
Description
Updates the profile name for an auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| FormData | profile_name required |
Profile name. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get auto-mitigation profile information.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}
Description
Returns detailed information for an auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| profile_id optional |
Profile ID. | string |
| profile_name optional |
The name of the profile. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete auto-mitigation profile.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}
Description
Deletes an auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. Can be obtained by invoking this API for profile_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update TCP anti-flood policy.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/anti-flood/l3l4/tcp
Description
Incrementally updates the TCP anti-flood policy for the auto-mitigation profile. Include only fields or sub-objects to change; omitted fields are preserved.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | policy required |
TCP anti-flood policy. | AntiFloodL3L4TcpPolicyInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get TCP anti-flood policy.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/anti-flood/l3l4/tcp
Description
Returns the TCP anti-flood policy for the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
AntiFloodL3L4TcpPolicy |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Clone auto-mitigation profile.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/clone
Description
Clones an auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update Zombie host detection policy.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie
Description
Incrementally updates zombie host/network detection settings. Include only fields or sub-objects to change; omitted fields are preserved. Flex zombie rules are managed via flex-zombie CRUD APIs.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | policy required |
Zombie host detection policy. | ZombiePolicyInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get Zombie host detection policy.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie
Description
Returns the zombie host detection policy for the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
ZombiePolicy |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Create flex zombie rule.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie/flex-zombie
Description
Creates a flex zombie rule for the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | rule required |
Flex zombie rule configuration. | FlexZombieRuleInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| rule_id optional |
Rule ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get flex zombie rule.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie/flex-zombie/{rule_id}
Description
Returns a flex zombie rule for the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | rule_id required |
Unique identifier of the flex zombie rule. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
FlexZombieRule |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update flex zombie rule.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie/flex-zombie/{rule_id}
Description
Updates a flex zombie rule for the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | rule_id required |
Unique identifier of the flex zombie rule. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
| Body | rule required |
Flex zombie rule configuration. | FlexZombieRuleInput |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete flex zombie rule.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie/flex-zombie/{rule_id}
Description
Deletes a flex zombie rule from the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | rule_id required |
Unique identifier of the flex zombie rule. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Result |
Consumes
application/x-www-form-urlencoded
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get flex zombie rules.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profile/{profile_id}/zombie/flex-zombies
Description
Returns the flex zombie rules for the auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | profile_id required |
Auto mitigation profile identifier. Obtain from GET /spe/customer/{customer_id}/cp/site/{site_id}/policy/mitigation/auto-profiles. | string |
| Path | site_id required |
Clean Pipe Protection site identifier. Obtain from GET /spe/customer/{customer_id}/cp/sites or list sites. | string |
| Query | access_token required |
Access token used to authenticate your access to the API. Can be obtained by invoking this API. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response sent when the API is successfully invoked. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Error code. 0 indicates success. | integer |
| msg optional |
Error message. | string |
| result optional |
< FlexZombieRule > array |
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get auto-mitigation profile list.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/profiles
Description
Returns the list of auto-mitigation profiles for the site.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID. | string |
| Query | access_token required |
API access token for authentication. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
< result > array |
| Name | Description | Schema |
|---|---|---|
| profile_id optional |
Profile ID. | string |
| profile_name optional |
The name of the profile. | string |
| type optional |
The ip type of the profile. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit FlexFilter/TCP option filter sets for an auto-mitigation profile.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/tcp-option/filter-sets
Description
Applies or updates FlexFilter/TCP option filter sets for an auto-mitigation profile. Only one filter set ID is supported.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | filter_set_id required |
Filter set ID(s) to apply. Only one ID is supported. | < string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter/TCP option policy for an auto-mitigation profile.
GET /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/tcp-option/policy
Description
Returns the current FlexFilter/TCP option policy for an auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| filter_sets optional |
< filter_sets > array | |
| is_enabled optional |
FlexFilter/TCP option status: 0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| filter_set_desc optional |
Optional policy description. | string |
| filter_set_id optional |
Filter set ID. | string |
| filter_set_name optional |
Policy name. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Enables or disables FlexFilter/TCP option for an auto-mitigation profile.
POST /spe/customer/{customer_id}/cp/site/{site_id}/auto-mitigation/tcp-option/switch
Description
Enables or disables FlexFilter/TCP option for an auto-mitigation profile.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | site_id required |
Site ID. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter or ACL Filter info for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter
Description
Get the info of FlexFilter/ACL Filter for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| common_rule_sets optional |
The filter sets. | < common_rule_sets > array |
| custom_rule_set optional |
Custom Filters. | custom_rule_set |
| is_enabled optional |
0 means the switch is disabled whereas 1 means it is enabled. |
integer |
| Name | Description | Schema |
|---|---|---|
| rule_set_desc optional |
More details about the purpose of the policy. | string |
| rule_set_id optional |
Unique identifier of common rule. | integer |
| rule_set_name optional |
The name of the policy. | string |
| Name | Description | Schema |
|---|---|---|
| action optional |
Either rate limiting, dropping or letting the traffic pass are taken. | string |
| bps_limit optional |
ratelimit in bps. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| is_enabled optional |
0 means it is disabled and 1 means enabled. |
integer |
| package_length optional |
The package length of the rule. Can be updated regardless of the selected protocol. | < string > array |
| pps_limit optional |
ratelimit in pps. | string |
| protocol optional |
The protocol of the rule. Allowed values: any, tcp, udp, icmp, or a custom IANA protocol number as a decimal string (0-255). Numeric values 1 (icmp), 6 (tcp), and 17 (udp) must use the named strings instead. Pattern : "^(any\|tcp\|udp\|icmp\|(0\|[2-5]\|[7-9]\|1[0-6]\|1[89]\|[2-9][0-9]\|1[0-9]{2}\|2[0-4][0-9]\|25[0-5]))$" |
string |
| rule_desc optional |
More details about the purpose of the policy. | string |
| rule_id optional |
Unique identifier of custom rule. | string |
| rule_name optional |
The name of the policy | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent | < integer > array |
| tcp_flags optional |
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add FlexFilter, ACL Filter, or custom filter rules.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/custom-filter
Description
Add rules for the FlexFilter/ACL Filter/ custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
FlexFilter/Custom filter rule configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
You can select “pass”, “drop” or “ratelimit”. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. | string |
| bps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| icmp_code optional |
Can be updated when the protocol is icmp or a custom IANA protocol number. Required for ICMP-unreach, ICMP-Redirect or ICMP-Paramprob; when ICMP-unreach is 0-15, ICMP-redirect is 0-3, and ICMP-paramprob is 0-2. | integer |
| icmp_type optional |
Can be updated when the protocol is icmp or a custom IANA protocol number. The value can be a decimal string from 0 to 255, or from the filter_ICMP_type field that returns the result from config options. | string |
| package_length optional |
The package length of the rule. Can be updated regardless of the selected protocol. | < string > array |
| pps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| protocol required |
The protocol of the rule. Allowed values: any, tcp, udp, icmp, or a custom IANA protocol number as a decimal string (0-255). Numeric values 1 (icmp), 6 (tcp), and 17 (udp) must use the named strings instead. Pattern : "^(any\|tcp\|udp\|icmp\|(0\|[2-5]\|[7-9]\|1[0-6]\|1[89]\|[2-9][0-9]\|1[0-9]{2}\|2[0-4][0-9]\|25[0-5]))$" |
string |
| rule_desc optional |
Optional policy description. | string |
| rule_name required |
Unique identifier of a policy created. | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent. | < integer > array |
| tcp_flags optional |
When the protocol is TCP, its value is retrieved from the filter_tcp_flags in the configuration options. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. It is set to a value between zero and 255. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| rule_id optional |
Rule ID, an unique identifier assigned to each FlexFilter Custom Filters. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get FlexFilter, ACL Filter, and custom filters policy for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/custom-filter/{rule_id}
Description
Returns the FlexFilter, ACL Filter, and custom filters policy for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of custom rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| action optional |
Either rate limiting, dropping or letting the traffic pass are taken. | string |
| bps_limit optional |
ratelimit in bps. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| icmp_code optional |
ICMP Code. | integer |
| icmp_type optional |
The filters for ICMP. | string |
| is_enabled optional |
0 means it is disabled and 1 means enabled. |
integer |
| package_length optional |
The package length of the rule. Can be updated regardless of the selected protocol. | < string > array |
| pps_limit optional |
ratelimit in pps. | string |
| protocol optional |
The protocol of the rule. Allowed values: any, tcp, udp, icmp, or a custom IANA protocol number as a decimal string (0-255). Numeric values 1 (icmp), 6 (tcp), and 17 (udp) must use the named strings instead. Pattern : "^(any\|tcp\|udp\|icmp\|(0\|[2-5]\|[7-9]\|1[0-6]\|1[89]\|[2-9][0-9]\|1[0-9]{2}\|2[0-4][0-9]\|25[0-5]))$" |
string |
| rule_desc optional |
More details about the purpose of the policy. | string |
| rule_id optional |
Unique identifier of a policy. | string |
| rule_name optional |
The name of the policy | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent | < integer > array |
| tcp_flags optional |
In TCP connection, flags are used to indicate a particular state of connection or to provide some additional useful information. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit FlexFilter, ACL Filter, or custom filter rules.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/custom-filter/{rule_id}
Description
Edit the rules for FlexFilter/ACL Filter/custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of a rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
FlexFilter/ACL Custom filter rule configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
You can select “pass”, “drop” or “ratelimit”. Selecting the ratelimit can allow you to define the capacity of the bandwidth that data packets can consume. | string |
| bps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| dst_ip optional |
IP Address of the recipient. | < string > array |
| dst_port optional |
Port number to which the data packet is sent. | < integer > array |
| icmp_code optional |
Can be updated when the protocol is icmp or a custom IANA protocol number. Required for ICMP-unreach, ICMP-Redirect or ICMP-Paramprob; when ICMP-unreach is 0-15, ICMP-redirect is 0-3, and ICMP-paramprob is 0-2. Can be obtained by invoking this API for icmp codes. | integer |
| icmp_type optional |
Can be updated when the protocol is icmp or a custom IANA protocol number. The value can be a decimal string from 0 to 255, or from the filter_ICMP_type field that returns the result from config options. Can be obtained by invoking this API for icmp types. | string |
| package_length optional |
The package length of the rule. Can be updated regardless of the selected protocol. | < string > array |
| pps_limit optional |
The rate limit whose must be a number or K, M, G format must be provided when the ratelimit is switched on. | string |
| protocol required |
The protocol of the rule. Allowed values: any, tcp, udp, icmp, or a custom IANA protocol number as a decimal string (0-255). Numeric values 1 (icmp), 6 (tcp), and 17 (udp) must use the named strings instead. Pattern : "^(any\|tcp\|udp\|icmp\|(0\|[2-5]\|[7-9]\|1[0-6]\|1[89]\|[2-9][0-9]\|1[0-9]{2}\|2[0-4][0-9]\|25[0-5]))$" |
string |
| rule_desc optional |
Optional policy description. | string |
| rule_name required |
Unique identifier of a policy created. | string |
| src_ip optional |
IP address of the sender, as it is shown in the data packet. | < string > array |
| src_port optional |
Port number from which the data packet is sent. | < integer > array |
| tcp_flags optional |
When the protocol is TCP, its value is retrieved from the filter_tcp_flags in the configuration options.Can be obtained by invoking this API for tcp flags. | < string > array |
| ttl optional |
Time-to-live (TTL) is a value in an IP packet that tells a network router whether or not the packet has been in the network too long and should be discarded. It is set to a value between zero and 255. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete FlexFilter, ACL Filter, or custom filter rule.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/custom-filter/{rule_id}
Description
Deletes FlexFilter/ ACL Filter/ custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of custom rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change FlexFilter, ACL Filter, or custom filters switch status.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/custom-filter/{rule_id}/switch
Description
Change the status of the switch of the FlexFilter/ ACL Filter/custom filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | rule_id required |
Unique identifier of custom rule. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
0 means the switch of ACL Filter is disabled whereas 1 means it is enabled. |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit FlexFilter filter sets for the host.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/filter-sets
Description
Edit the FlexFilter filter sets for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | rule_set_id required |
Enter the rule id you want to add. Can be obtained by invoking this API for rule_set_id. | < string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change FlexFilter or ACL Filter policy switch status.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/acl-filter/switch
Description
Changes the status of the switch for the policies for FlexFilter/ACL Filter.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit Allow/Blocklist content for host.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/allow-block-list
Description
Add or update source IPs and/or source countries for the host’s Allow/Blocklist.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | cp_auto_mitigation_allow-block-list_service optional |
Allow list or block list configuration (list type and enabled state). | cp_auto_mitigation_allow-block-list_service |
cp_auto_mitigation_allow-block-list_service
| Name | Description | Schema |
|---|---|---|
| ip_set_id optional |
ip set id for allow_list or block_list.Can be obtained by invoking this API for ip set ids. | string |
| source_countries optional |
country code list for allow_list or block_list content, such as ‘Asia/Pacific Region’.Can be obtained by invoking this API for countries. | < string > array |
| source_ips optional |
ip list for allow_list or block_list content. | < string > array |
| type required |
allow list/block list type. in (allow_list, block_list). | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get allow list or block list content for host.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/allow-block-list
Description
Returns the current allow list or block list content (status, source IPs, source countries) for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Query | type required |
Policy type: allow_list or block_list. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| ip_set optional |
ip_set | |
| is_enabled optional |
Status of the allow block list. ‘0’ means off, ‘1’ means on. | integer |
| source_countries optional |
The source countries of traffic. | < string > array |
| source_ips optional |
Source IP. | < string > array |
| Name | Description | Schema |
|---|---|---|
| ip_set_desc optional |
More details about the purpose of the policy. | string |
| ip_set_id optional |
Unique identifier of ip set. | string |
| ip_set_name optional |
The name of the policy. | string |
| source_countries optional |
< string > array | |
| source_ips optional |
< string > array |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change Allow/Blocklist auto-mitigation policy status for host.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/allow-block-list/switch
Description
Update Allow/Blocklist auto-mitigation policy status for host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID.Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID.Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | cp_auto_mitigation_allow-block-list_service optional |
Allow list or block list configuration (list type and enabled state). | cp_auto_mitigation_allow-block-list_service |
cp_auto_mitigation_allow-block-list_service
| Name | Description | Schema |
|---|---|---|
| is_enabled required |
0 means the switch of the basic network filtering is disabled whereas 1 means it is enabled , ‘2’ means it is enabled with a template of ip sets. |
integer |
| type required |
allow list/block list type. in (allow_list, block_list). | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change Bogons auto-mitigation policy.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/bogons/switch
Description
Enables or disables Bogons auto-mitigation for the site/host (e.g. martian_address, land_attack).
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
| FormData | type required |
Bogons type: martian_address or land_attack. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get Bogons auto-mitigation switch status.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/bogons/switch
Description
Returns the current Bogons auto-mitigation switch status for the site/host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| land_attack optional |
The property of the land_attack. | land_attack |
| martian_address optional |
The property of the martian address. | martian_address |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the land_attack switch is disabled whereas 1 means it is enabled. |
integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the martian_address switch is disabled whereas 1 means it is enabled. |
integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit traffic policies.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/filter-policing
Description
It is used to edit Traffic Policies.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | threshold_bps required |
Threshold values in bps.must be a number or K, M, G format. | string |
| FormData | threshold_pps required |
Threshold values in pps.must be a number or K, M, G format. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get traffic policing or filter policing info.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/filter-policing
Description
Get auto-mitigation traffic policing info.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the mitigation policy for zombie is disabled whereas 1 means it is enabled. |
integer |
| threshold_bps optional |
Threshold values in bps. | string |
| threshold_pps optional |
Threshold values in pps. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change traffic policing or filter policing switch status.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/filter-policing/switch
Description
It is a switch to change the status of Traffic Policing/Filter Policing.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
0 means the filter policy is disabled whereas 1 means it is enabled. |
integer |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get ICMP flood policy info.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/icmp-flood
Description
Returns ICMP flood policy info for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| custom_icmp_filter optional |
The info of customizable ICMP filters. | custom_icmp_filter |
| icmp_fragmentation optional |
The info of ICMP fragmentation. | icmp_fragmentation |
| Name | Description | Schema |
|---|---|---|
| default optional |
The default ICMP filters. | default |
| filters optional |
The list of customizable ICMP filters. | < filters > array |
| is_enabled optional |
0 means the switch is disabled whereas 1 means it is enabled. |
integer |
| Name | Description | Schema |
|---|---|---|
| action optional |
pass or ratelimit. | string |
| bps_limit optional |
The ratelimit in bps. | string |
| filter_name optional |
The name of the filter. | string |
| icmp_length optional |
The length of ICMP to be dropped must range between 1 to 1500. | integer |
| icmp_type optional |
The type of icmp filters. | integer |
| pps_limit optional |
The ratelimit in pps. | string |
| Name | Description | Schema |
|---|---|---|
| action optional |
pass or ratelimit. | string |
| bps_limit optional |
The ratelimit in bps. | string |
| filter_id optional |
Unique identifier of custom filter. | string |
| filter_name optional |
The name of filters. | string |
| icmp_length optional |
The length of ICMP you want to drop. | integer |
| icmp_type optional |
The type of ICMP. | integer |
| pps_limit optional |
The ratelimit in pps. | string |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the switch is disabled whereas 1 means it is enabled. |
integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add ICMP flood or customizable protocol filters.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/icmp-flood/icmp-filter
Description
Add filters for ICMP flood/Customizable protocol filters.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
ICMP filter configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action required |
Actions to be performed when the filter policy is triggered , ‘pass’ or ‘ratelimit’ supported. | string |
| bps_limit optional |
The rate limit in bps of threshold,be 1-4300000000,should be provided when the action is ratelimit. | integer (int64) |
| filter_name required |
The name of the filters. | string |
| icmp_length required |
The size of the data packet, must be 1-1500. | integer |
| icmp_type required |
The icmp type number.Can be obtained by invoking this API for icmp types. | integer |
| pps_limit optional |
The rate limit in pps of threshold,be 1-4300000000,should be provided when the action is ratelimit. | integer (int64) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID, an unique identifier assigned to each Custom ICMP Filter. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get ICMP flood or customizable ICMP filter policies.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/icmp-flood/icmp-filter/{filter_id}
Description
Returns ICMP flood or customizable ICMP filter policies for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Custom filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| action optional |
pass or ratelimit. | string |
| bps_limit optional |
The ratelimit in bps. | string |
| filter_name optional |
The name of the filter | string |
| icmp_length optional |
The length of ICMP you can drop. | integer |
| icmp_type optional |
The type of icmp. | integer |
| pps_limit optional |
The ratelimit in pps. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit ICMP flood or customizable protocol filter policies.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/icmp-flood/icmp-filter/{filter_id}
Description
Edit the policies of the filters for ICMP flood/Customizable protocol.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Custom filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
ICMP filter configuration. | body |
| Name | Description | Schema |
|---|---|---|
| action optional |
Actions to be performed when the filter policy is triggered , ‘pass’ or ‘ratelimit’ supported. | string |
| bps_limit optional |
The rate limit in bps of threshold,be 1-4300000000,should be provided when the action is ratelimit. | integer (int64) |
| filter_name optional |
The name of the filters. | string |
| icmp_length optional |
The size of the data packet, must be 1-1500. | integer |
| icmp_type optional |
The icmp type number.Can be obtained by invoking this API for icmp types. | integer |
| pps_limit optional |
The rate limit in pps of threshold,be 1-4300000000,should be provided when the action is ratelimit. | integer (int64) |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete ICMP flood or customizable protocol filter policy.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/icmp-flood/icmp-filter/{filter_id}
Description
Delete the policies for the filter for ICMP flood/Customizable protocol.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Custom filter ID. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change ICMP flood policy status.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/icmp-flood/switch
Description
Enables or disables ICMP flood auto-mitigation for the host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
0 = disabled, 1 = enabled. | integer |
| FormData | module required |
ICMP flood module: icmp_fragmentation, custom_icmp_filter, or drop_large_ping_packets. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get IP Flood auto-mitigation configuration.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/ip-flood
Description
Returns IP flood auto-mitigation settings (e.g. IP fragmentation, customizable protocol filters).
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
result |
| Name | Description | Schema |
|---|---|---|
| custom_protocol_filter optional |
The property of the customizable protocol filters. | custom_protocol_filter |
| drop_invalid_ip_packets optional |
Drop invalid IP packets settings. | drop_invalid_ip_packets |
| ip_fragmentation optional |
The property of the IP fragmentation. | ip_fragmentation |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the switch of the customizable protocol filters is disabled whereas 1 means it is enabled. |
integer |
| protocol optional |
The list of the protocol. | < integer > array |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 = disabled, 1 = enabled. | integer |
| Name | Description | Schema |
|---|---|---|
| is_enabled optional |
0 means the switch of IP fragmentation is disabled whereas 1 means it is enabled. |
integer |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Edit customizable protocol filter policy.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/ip-flood/protocol
Description
Edit customizable protocol filter policy.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | protocols required |
Protocol numbers (0–255) from configuration options.Can be obtained by invoking this API for protocol numbers. | < integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Change IP Flood policy status.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/ip-flood/switch
Description
Enables or disables IP Flood auto-mitigation for the site/host.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| FormData | is_enabled required |
Enable status.Values: 0 = off, 1 = drop. | integer |
| FormData | module required |
IP Flood type. in (drop_invalid_ip_packets, ip_fragmentation, custom_protocol_filter). drop_invalid_ip_packets = drop invalid IP packets, ip_fragmentation = IP fragmentation, custom_protocol_filter = Custom Protocol Filter. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add a custom filter for L7 flood auto-mitigation.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/custom-filter
Description
Add a custom filter for L7 flood auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
Request body. | body |
| Name | Description | Schema |
|---|---|---|
| filter_desc optional |
Filter description | string |
| filter_name required |
Filter name | string |
| filter_port required |
Port list | < string > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get a single custom filter info for L7 flood auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/custom-filter/{filter_id}
Description
Get the info of a custom filter for L7 flood auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
CustomFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update a custom filter for L7 flood auto-mitigation.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/custom-filter/{filter_id}
Description
Update the info of a custom filter for L7 flood auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Unique identifier of filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body optional |
CustomFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Result data. | object |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete a custom filter for L7 flood auto-mitigation.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/custom-filter/{filter_id}
Description
Delete a custom filter for L7 flood auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Result data. | object |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood custom filter info for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/custom-filters
Description
Get the info of L7 flood custom filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood HTTP filters for auto-mitigation.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/http-filter
Description
Set the info of L7 flood HTTP filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
body |
| Name | Schema |
|---|---|
| filter_desc optional |
string |
| filter_name required |
string |
| filter_port required |
< integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood HTTP filter info for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/http-filter/{filter_id}
Description
Get the info of L7 flood HTTP filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Unique identifier of a L7 flood HTTP filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
HTTP filter configuration request | HttpFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood HTTP filters for auto-mitigation.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/http-filter/{filter_id}
Description
Set the info of L7 flood HTTP filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Unique identifier of a L7 flood HTTP filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body optional |
HttpFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood HTTP filters for auto-mitigation.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/http-filter/{filter_id}
Description
Delete the info of L7 flood HTTP filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Unique identifier of a filter. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Result |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood HTTP filters.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/http-filters
Description
Get the info of L7 flood HTTP filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
HTTP filters | < HttpFilter > array |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add an L7 flood QUIC filter for auto-mitigation.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/quic-filter
Description
Add a L7 flood QUIC filter for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
body |
| Name | Schema |
|---|---|
| filter_desc optional |
string |
| filter_name required |
string |
| filter_port required |
< integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood QUIC filter info for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/quic-filter/{filter_id}
Description
Get the info of L7 flood QUIC filter for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Quic filter info. | QuicFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Update L7 flood QUIC filter for auto-mitigation.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/quic-filter/{filter_id}
Description
Update the info of L7 flood QUIC filter for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body optional |
QuicFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood QUIC filters for auto-mitigation.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/quic-filter/{filter_id}
Description
Delete the info of L7 flood QUIC filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood QUIC filters.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/quic-filters
Description
Get the info of L7 flood QUIC filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Add an L7 flood SIP filter for auto-mitigation.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/sip-filter
Description
Add a L7 flood SIP filter for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body required |
Request body. | body |
| Name | Description | Schema |
|---|---|---|
| filter_desc optional |
Filter description | string |
| filter_name optional |
Filter name | string |
| filter_tcp_port required |
Port list | < integer > array |
| filter_udp_port required |
Filter UDP port | < integer > array |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
Data | result |
| Name | Description | Schema |
|---|---|---|
| filter_id optional |
Filter ID | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get a single L7 flood SIP filter info for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/sip-filter/{filter_id}
Description
Get the info of a L7 flood SIP filter for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
| result optional |
SipFilter |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood custom filters for auto-mitigation.
PUT /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/sip-filter/{filter_id}
Description
Set the info of L7 flood custom filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
| Body | body optional |
SipFilter |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
application/json
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Delete L7 flood custom filters for auto-mitigation.
DELETE /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/sip-filter/{filter_id}
Description
Delete the info of L7 flood custom filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | filter_id required |
Filter ID | integer |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Get L7 flood SIP filter info for auto-mitigation.
GET /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/sip-filters
Description
Get the info of L7 flood SIP filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
Site ID. Can be obtained by invoking this API for site_id. | string |
| Query | access_token required |
API access token for authentication. | string |
| Query | profile_id required |
Profile ID. Can be obtained by invoking this API for profile_id. | string |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | Response body with result data or error information. | Response 200 |
| Name | Description | Schema |
|---|---|---|
| code optional |
Numeric error code; 0 indicates success. | integer |
| msg optional |
Human-readable error or status message. | string |
Consumes
multipart/form-data
Produces
application/json
Security
| Type | Name |
|---|---|
| apiKey | ApiKeyAuth |
Set L7 flood TLS filters for auto-mitigation.
POST /spe/customer/{customer_id}/cp/site/{site_id}/host/{host_id}/auto-mitigation/l7-flood/tls-filter
Description
Set the info of L7 flood TLS filters for auto-mitigation.
Parameters
| Type | Name | Description | Schema |
|---|---|---|---|
| Path | customer_id required |
Customer ID. Can be obtained by invoking this API for customer_id. | string |
| Path | host_id required |
Host ID. Can be obtained by invoking this API for host_id. | string |
| Path | site_id required |
[...]
